Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.spreadsheet.core
Class EMFFormsExportTableParent

    java.lang.Object
      org.eclipse.emfforms.spi.spreadsheet.core.EMFFormsExportTableParent

    public class EMFFormsExportTableParent

extends Object

Author:
  Eugen

Field Summary
`static String` | `EXPORT_TABLE_PARENT` Key to use in the ViewModelContext to set this object into the context.

Constructor Summary
`EMFFormsExportTableParent(VIndexDomainModelReference indexDMRToExtend, VIndexDomainModelReference indexDMRToResolve, String labelPrefix)` Default Constructor.

Method Summary
`VIndexDomainModelReference` | `getIndexDMRToExtend()` The VIndexDomainModelReference to use extend.
`VIndexDomainModelReference` | `getIndexDMRToResolve()` The VIndexDomainModelReference to use for resolving.
`String` | `getLabelPrefix()` The Prefix to use for labels.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXPORT_TABLE_PARENT

    public static final String EXPORT_TABLE_PARENT

  Key to use in the ViewModelContext to set this object into the context.

  See Also:
    Constant Field Values

Constructor Detail

### EMFFormsExportTableParent

    public EMFFormsExportTableParent(VIndexDomainModelReference indexDMRToExtend,
                                     VIndexDomainModelReference indexDMRToResolve,
                                     String labelPrefix)

  Default Constructor.

  Parameters:
    `indexDMRToExtend` - The VIndexDomainModelReference to extend
    `indexDMRToResolve` - The VIndexDomainModelReference to use for resolvement
    `labelPrefix` - The prefix for labels

Method Detail

### getIndexDMRToExtend

    public VIndexDomainModelReference getIndexDMRToExtend()

  The VIndexDomainModelReference to use extend.

  Returns:
    the indexDMR

### getLabelPrefix

    public String getLabelPrefix()

  The Prefix to use for labels.

  Returns:
    the labelPrefix

### getIndexDMRToResolve

    public VIndexDomainModelReference getIndexDMRToResolve()

  The VIndexDomainModelReference to use for resolving.

  Returns:
    the indexDMRToResolve

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.